unit UProcedures;


interface

// Funciones para Variants =====================================================
// Obtener el variant como entero (o 0 si es nuLL)
function GetAsInteger(AValue:Variant):Integer;
// Obtener el variant como entero 64(o 0 si es nuLL)
function GetAsInt64(AValue:Variant):Int64;
// Obtener el variant como float (o 0 si es nuLL)
function GetAsFloat(AValue:Variant):double;
// Obtener un variant como currency
function GetAsCurrency(AValue:Variant):currency;
// Obtener un variant como String
function GetAsString(AValue:Variant):string;



//=========================================================================
//
// I M P L E M E N T A T I O N
//
//=========================================================================
implementation

uses
  Uconstantes, Variants;

// Obtener el variant como entero (o 0 si es nuLL)
function GetAsInteger(AValue:Variant):Integer;
begin
  Result := 0;
  if VarIsNull(AValue) then Exit;
  Result := Integer(AValue);
end;

// Obtener el variant como entero 64(o 0 si es nuLL)
function GetAsInt64(AValue:Variant):Int64;
begin
  Result := 0;
  if VarIsNull(AValue) then Exit;
  Result := Integer(AValue);
end;

// Obtener el variant como float (o 0 si es nuLL)
function GetAsFloat(AValue:Variant):double;
begin
  Result := 0;
  if VarIsNull(AValue) then Exit;
  Result := Double(AValue);
end;

// Obtener el variant como currency (o 0 si es nuLL)
function GetAsCurrency(AValue:Variant):Currency;
begin
  Result := 0;
  if VarIsNull(AValue) then Exit;
  Result := Currency(AValue);
end;

// Obtener un variant como String
function GetAsString(AValue:Variant):string;
begin
  Result := STR_EMPTY;
  if VarIsNull(AValue) then Exit;
  Result := String(AValue);
end;



end.
